### Method

# Gtk Textset_input_purpose

#### Declaration [src]

    void
    gtk_text_set_input_purpose (
      GtkText* self,
      GtkInputPurpose purpose
    )

#### Description [src]

Sets the input purpose of the `GtkText`.

This can be used by on-screen keyboards and other input methods to adjust their behaviour.

Sets property | `Gtk.Text:input-purpose`

#### Parameters

`purpose`

  Type: `GtkInputPurpose`

  The purpose.